from edge_engine.common.logsetup import logger


class DataStreamProcessor:
    def __init__(self, model, subsciber, publishers=list()):
        self.model = model
        self.subsciber = subsciber
        self.publishers = publishers
        logger.info("Setting up frame processor !!")

    def processstream(self, msg):
        print(msg)

    def run_model(self):
        self.subsciber.subscribe(hook=self.processstream)
